/* ===================================== */
/* 站內搜尋 */
/* ===================================== */

.siteSearch {
    float: right;
    padding: 0px 0px 0px 10px;
}

.siteSearchBg {
    border: solid 1px #d4d1d1;
    border-radius: 3px;
    position: relative;
    width: 217px;
    height: 29px;
    box-sizing: border-box;
    padding-right: 30px;
    background: #f4f4f4;
}

.siteSearchBg input[type='text'] {
    border: none;
    background: none;
    height: 27px;
    line-height: 23px;
    font-size: 13px;
    color: #b9b8b8;
}

.siteSearchBg label {
    position: absolute;
    top: 0px;
    right: 0px;
    height: 23px;
    box-sizing: border-box;
    padding: 2px 6px;
}

.siteSearchBg i {
    font-size: 23px;
    color: #595757;
}

.siteSearchBg input[type='submit'] {
    display: none;
}


/* =============================================================== */
/* 版頭語言 */
/* =============================================================== */

.lang_pc {
    position: relative;
    border-radius: 5px;
    z-index: 999;
}

.lang_pc > a {
    display: block;
    padding: 10px 36px 10px 28px;
    color: var(--primary_color);
    background: #fff;
    font-size: 14px;
    border-radius: 4px;
    text-align: center;
    text-decoration: none;
    position: relative;
}

.lang_pc > a:after {
    position: absolute;
    content: url(../images/select_arrow_y.png);
    top: 11px;
    right: 11px;
}

.nL_in {
    display: none;
    position: absolute;
    width: 100%;
}

.nLI_list {
    text-align: center;
}

.nLI_list a {
    display: block;
    color: var(--primary_color);
    background: #dedede;
    font-size: 14px;
    padding: 8px;
    text-decoration: none;
}

.nLI_list:hover a {
    color: var(--primary_color);
}


/* ===================================================================================== */
/* 版頭 */
/* ===================================================================================== */

.header {
    box-shadow: 0px 0px 6px #d9dad8;
    position: relative;
}

.header .wrap {
    position: relative;

    display: flex;
    justify-content: space-between;
}

/* logo */
.logo {
    padding: 20px 0px;
    width: 220px;
    box-sizing: border-box;
    /* float: left; */
    display: flex;
    align-items: center;
}

.logo img {
    width: 100%;
    height: auto;
}

.logo_b {
    display: none;
}

/* menu btn */
.menu_btn {
    position: absolute;
    width: 20px;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    display: none;
    z-index: 99;
}

.menu_btn span {
    display: block;
    background: #595757;
    height: 2px;
    margin: 4px 0px;
    transition: 0.3s ease all;
    border-radius: 3px;
}

.menu_btn.active {
    top: 38px;
    position: fixed;
}

.menu_btn.active span {
    background: #fff;
}

.menu_btn.active span:nth-of-type(1) {
    transform: rotate(39deg);
    transform-origin: top left;
}

.menu_btn.active span:nth-of-type(2) {
    opacity: 0;
}

.menu_btn.active span:nth-of-type(3) {
    transform: rotate(-39deg);
    transform-origin: bottom left;
}

/* header right----------------------------- */
.headerRight {
    /* float: right; */

    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: clamp(0.469rem, -0.031rem + 0.81vw, 0.938rem); /* 7.5 15 */
    padding: 0.625rem 0; /* 10 0 */
}

.headerRightTop {
    /* padding: 11px 0px 0px; */
    display: flex;
    justify-content: right;
    flex-direction: row-reverse;
}

/* 社群 */
.headerRightTop_socialLinkArea {
    float: right;
    padding: 0px 7px;
}

.hRT_socialLink {
    float: left;
    padding: 0px 7px;
}

.hRT_socialLink a {
    display: block;
}

.hRT_socialLinkImg2 {
    display: none;
}

.hRT_socialLink a:hover .hRT_socialLinkImg1 {
    display: none;
}

.hRT_socialLink a:hover .hRT_socialLinkImg2 {
    display: block;
}

/* lang */
.lang {
    float: right;
    border-radius: 2px;
    display: none;
}

.langLink {
    position: relative;
    float: left;
    /* padding: 0px 10px; */
}

.langLink a {
    display: block;
    text-decoration: none;
    font-size: 14px;
    line-height: 22px;
    color: #8c8c8c;
}

.langLink a:hover,
.langLink.active a {
    color: #0048dc;
}

/* nav */
.navbar {
    /* float: right; */
    /* z-index: 500; */
    /* padding-top: 19px; */
    display: flex;
    margin: 0px -25px;
}

.nav {
    display: inline-block;
    padding: 0px 7.5px;
    position: relative;
}

.nav a {
    display: block;
    text-decoration: none;
}

.nav > a {
    text-align: center;
    font-size: clamp(0.875rem, 0.742rem + 0.22vw, 1rem); /* 14 16 */
    /* font-weight: bold; */
    font-weight: 500;
    color: #555;
    border: 1px solid #fff;
    padding: 12px;
    border-radius: 5px;
}

.nav:hover > a,
.nav.active > a {
    color: var(--primary_color);
    border: 1px solid var(--primary_color);
}

/* dropdown */
.navOpen {
    position: absolute;
    left: 50%;
    padding-top: 9px;
    width: 164px;
    margin-left: -82px;
    display: none;
    z-index: 2;
}

.nav:hover .navOpen.pc {
    display: block;
}

.navOpen.mobile {
    display: none;
    opacity: 0;
    z-index: -999999;
}

.navOpenBg {
    position: relative;
    box-shadow: 0px -1px 10px 2px rgba(10%, 10%, 10%, 0.4);
}

.navOpenBg:before {
    content: url(../images/top_arrow.png);
    position: absolute;
    top: -8px;
    left: 50%;
    margin-left: -12px;
}

.navOpenList > a {
    font-size: 15px;
    color: #676767;
    padding: 10px 0px 10px 10px;
    background: #fff;
    border-bottom: 1px #dfdfdf solid;

    /* 動畫效果 */
    transition: all 0.3s ease;
}

.navOpenList > a:hover {
    color: #ea5413c7;
    border-right: 23px #ea5413c7 solid;
    letter-spacing: -1px;
}

.navOpenList.active a {
    color: #0070bd;
    border-right: 23px #0070bd solid;
}


/* ===================================== */
/* MEDIA QUERY */
/* ===================================== */

/* <=1200px */
@media (max-width: 1200px) {
    .logo {
        padding: 15px 0px;
        width: 180px;
    }

    .navbar {
        margin: 0px -10px;
        /* padding: clamp(0.625rem, 0.492rem + 0.22vw, 0.75rem) 0px 10px; */
    }

    .nav {
        padding: 0;
    }
}

/* <=990px */
@media (max-width: 990px) {

    .siteSearchBg i {
        color: var(--primary_color);
    }

    .lang_pc {
        display: none;
    }

    .headerRightTop {
        display: block;
    }

    .menu_btn {
        display: block;
    }

    .headerRight {
        width: 100%;
        max-width: 12.5rem;
        background: #0e0d0db8;
        display: block;
        padding: 56px 0px 0px;
        position: fixed;
        top: 0px;
        right: -200px;
        height: 100%;
        transition: 0.3s ease all;
        overflow-y: scroll;
        z-index: 4;
    }

    .headerRight.active {
        right: 0px;
    }

    .lang {
        /* display: block; */
        display: flex;
        flex-wrap: wrap;
        float: none;
        background-color: #4d2803;
    }

    .langLink {
        width: calc(100% / 2);
        /* float: left; */
        text-align: center;
    }

    .langLink:nth-of-type(1) {
        border-right: 1px solid #000;
        box-sizing: border-box;
    }

    .langLink a {
        line-height: 30px;
        color: #fff;
        padding: 5px;
    }

    .langLink a:hover,
    .langLink.active a {
        color: #ff9800;
    }

    .siteSearch {
        float: none;
        width: 100%;
        padding: 0;
    }

    .siteSearchBg {
        border-radius: 0;
        width: 100%;
        padding-right: 0;
    }

    .navbar {
        display: block;
        margin: 0;
        padding: 0;
    }

    .nav {
        float: none;
        width: 100%;
        border-bottom: solid 1px #757575de;
    }

    .nav > a {
        color: #fff;
        border: none;
        text-align: left;
    }

    .nav:hover > a,
    .nav.active > a {
        border-bottom: 1px solid var(--primary_color);
    }

    .navOpen {
        position: relative;
        width: auto;
        margin: 0;
        left: 0;
    }

    .nav:hover .navOpen.pc {
        display: none;
    }

    .navOpen.mobile {
        display: none;
        opacity: 1;
        z-index: 1;
    }

    .navOpenList a {
        padding: 12px 15px;
        font-size: 14px;
    }
}

/* <=460px */
@media (max-width: 460px) {

    .logo {
        width: 52%;
        padding: 15px 0;
        float: none;
    }

    .logo_flash {
        display: none;
    }

    .menu_btn.active {
        top: 4vw;
    }

    .headerRight {
        padding: 12.2vw 0px 0px;
    }
}